## yorick-mira 0.9.10+dfsg

=== Makefile ===
.SUFFIXES: .i
.PHONY: clean default distclean distrib update install

#------------------------------------------------------------------------------
#

SOURCES = fft_utils.i \
          fits.i \
          fmin.i \
          img.i \
          linop.i \
          mira.i \
          oifits.i \
          plot.i \
          rgl.i \
          utils.i \
          mira-demo.i mira-test1.i mira-test2.i

default:
	@echo "There is no default target.  Try one of:"
	@echo "    make update"
	@echo "    make clean"
	@echo "    make distclean"
	@echo "    make distrib [VERSION=###]"
#	@echo "    make install"

update: $(SOURCES)

clean:
	rm -f core *~

distclean: clean
	rm -rf old

fft_utils.i: /home/eric/yorick/fft_utils.i
	test -e $@ && mv -f $@ $@.bak || true
	cp -a $< $@

fits.i: /home/eric/yorick/fits.i
	test -e $@ && mv -f $@ $@.bak || true
	cp -a $< $@

fmin.i: /home/eric/yorick/fmin.i
	test -e $@ && mv -f $@ $@.bak || true
	cp -a $< $@

img.i: /home/eric/yorick/img.i
	test -e $@ && mv -f $@ $@.bak || true
	cp -a $< $@

linop.i: /home/eric/yorick/linop.i
	test -e $@ && mv -f $@ $@.bak || true
	cp -a $< $@

optimpack.i: /home/eric/yorick/optimpack.i
	test -e $@ && mv -f $@ $@.bak || true
	cp -a $< $@

plot.i: /home/eric/yorick/plot.i
	test -e $@ && mv -f $@ $@.bak || true
	cp -a $< $@

#oifits.i: /home/eric/work/mira/oifits.i
#	test -e $@ && mv -f $@ $@.bak || true
#	cp -a $< $@

#rgl.i: /home/eric/yorick/rgl.i
#	test -e $@ && mv -f $@ $@.bak || true
#	cp -a $< $@

utils.i: /home/eric/yorick/utils.i
	test -e $@ && mv -f $@ $@.bak || true
	cp -a $< $@

DISTRIB_FILES = $(SOURCES) Makefile AUTHOR COPYING README NEWS
DISTRIB_SUBDIRS = data

distrib:
	@if test "x$(VERSION)" = "x"; then \
	  if test -f VERSION -a -r VERSION; then \
	    for version in `cat VERSION`; do break; done; \
	  fi; \
	  if test "x$$version" = "x"; then \
	    echo >&2 "error: bad VERSION file"; \
	    return 1; \
	  fi; \
	else \
	  version=$(VERSION); \
	fi; \
	pkgdir=mira-$$version; \
	archive=$$pkgdir.tar.bz2; \
	if test -e "$$pkgdir"; then \
	  echo >&2 "error: $$pkgdir already exists"; \
	  return 1; \
	fi; \
	if test -e "$$archive"; then \
	  echo >&2 "error: $$archive already exists"; \
	  return 1; \
	fi; \
	mkdir "$$pkgdir"; \
	for file in $(DISTRIB_FILES); do \
	  cp -a "$$file" "$$pkgdir/."; \
	done; \
	for dir in $(DISTRIB_SUBDIRS); do \
	  cp -a "$$dir" "$$pkgdir/$$dir"; \
	  (cd "$$pkgdir/$$dir/."; rm -f *~); \
	done; \
	rm -f "$$pkgdir/VERSION"; \
	echo "$$version" > "$$pkgdir/VERSION"; \
	tar cf - "$$pkgdir" | bzip2 -9 > "$$archive"; \
	rm -rf "$$pkgdir"; \
	echo "archive $$archive created"; \
	return 0

## yorick-mira 0.9.9+dfsg1

=== debian/changelog ===
yorick-mira (0.9.9+dfsg1-2) unstable; urgency=low

  * Set DMUA field
  * remove extraneous file /usr/share/doc/yorick-mira/examples/mira-auto.i
  * move to section "science"

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 07 Apr 2010 18:06:28 +0200

yorick-mira (0.9.9+dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #561490)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon, 22 Mar 2010 11:52:34 +0100

=== debian/control ===
Source: yorick-mira
Section: science
Priority: extra
Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
Build-Depends: debhelper (>= 7.0.50~), yorick-dev (>=  2.1.05+dfsg-2~bpo40+1)
Standards-Version: 3.8.4
DM-Upload-Allowed: yes
Homepage: http://www-obs.univ-lyon1.fr/labo/perso/eric.thiebaut/mira.html

Package: yorick-mira
Architecture: all
Depends: ${misc:Depends}, yorick-yeti (>= 6.2.0) , yorick-yeti-fftw (>=6.2.0), yorick-yutils, yorick-optimpack (>= 1.3), yorick (>= 2.1.05)
Description: optical intreferometry image reconstruction within Yorick
 MiRA is an algorithm for image reconstruction from data provided by
 optical interferometers. It is written in the Yorick language and
 operated through the Yorick interpreter.
 .
 MiRA won the 2008' Interferometric Imaging Beauty Contest organized
 by International Astronomical Union (IAU) to compare the image
 synthesis algorithms designed for optical interferometry.  In a
 nutshell, MiRA proceeds by direct minimization of a penalized
 likelihood. This penalty is the sum of two terms: a likelihood term
 (typically a χ2) which enforces agreement of the model with the data,
 plus a regularization term to account for priors. The priors are
 required to lever the many degeneracies due to the sparseness of the
 spatial frequency sampling. MiRA implements many different
 regularizations (quadratic or edge-preserving smoothness, total
 variation, maximum entropy, etc.) and let the user defines his own
 priors. The likelihood penalty is modular and designed to account for
 available data of any kind (complex visibilities, powerspectra and/or
 closure phase). One of the strength of MiRA is that it is purely
 based on an inverse problem approach and can therefore cope with
 incomplete data set; for instance, MiRA can build an image without
 any Fourier phase information. Input data must be in OI-FITS format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_install:
	dh_installyorick

%:
	dh  $@

## yorick-mira 0.9.10

=== debian/changelog ===
yorick-mira (0.9.10-2) unstable; urgency=low

  * Bump version in mira.info

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 10 May 2011 11:43:42 +0200

yorick-mira (0.9.10-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "yorick-yeti 6.3.1 breaks yorick-mira", (Closes: #625619).
  * Check against policy 3.9.1.

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon, 09 May 2011 18:43:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: extra
 Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
 Build-Depends: debhelper (>= 7.0.50~), yorick-dev (>=  2.1.05+dfsg-2~bpo40+1)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 DM-Upload-Allowed: yes
 Homepage: http://www-obs.univ-lyon1.fr/labo/perso/eric.thiebaut/mira.html
 
 Package: yorick-mira
 Architecture: all
-Depends: ${misc:Depends}, yorick-yeti (>= 6.2.0) , yorick-yeti-fftw (>=6.2.0), yorick-yutils, yorick-optimpack (>= 1.3), yorick (>= 2.1.05)
+Depends: ${misc:Depends}, yorick-yeti (>= 6.3.1) , yorick-yeti-fftw (>=6.3.1), yorick-yutils, yorick-optimpack (>= 1.3), yorick (>= 2.1.05)
 Description: optical intreferometry image reconstruction within Yorick
  MiRA is an algorithm for image reconstruction from data provided by
  optical interferometers. It is written in the Yorick language and

## yorick-mira 0.9.10+dfsg

=== debian/changelog ===
yorick-mira (0.9.10+dfsg-1) unstable; urgency=low

  * remove the non-dfsg data/ directory

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Fri, 29 Jun 2012 14:04:14 +0200

yorick-mira (0.9.10-4) unstable; urgency=low

  * Amend debian/control to abide by Debian Science Policy
  * Updated copyright

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 27 Jun 2012 12:58:04 +0200

yorick-mira (0.9.10-3) unstable; urgency=low

  * Bug fix: "Typo in package description: &quot;intreferometry&quot;",
    thanks to Bernhard Kuemel (Closes: #655307).

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Sun, 01 Apr 2012 19:51:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: yorick-mira
 Section: science
 Priority: extra
-Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Thibaut Paumard <paumard@users.sourceforge.net>
 Build-Depends: debhelper (>= 7.0.50~), yorick-dev (>=  2.1.05+dfsg-2~bpo40+1)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
+Vcs-Git: git://git.debian.org/git/debian-science/packages/yorick-mira.git
+Vcs-Browser: http://git.debian.org/?p=debian-science/packages/yorick-mira.git
 Homepage: http://www-obs.univ-lyon1.fr/labo/perso/eric.thiebaut/mira.html
 
 Package: yorick-mira
 Architecture: all
 Depends: ${misc:Depends}, yorick-yeti (>= 6.3.1) , yorick-yeti-fftw (>=6.3.1), yorick-yutils, yorick-optimpack (>= 1.3), yorick (>= 2.1.05)
-Description: optical intreferometry image reconstruction within Yorick
+Description: optical interferometry image reconstruction within Yorick
  MiRA is an algorithm for image reconstruction from data provided by
  optical interferometers. It is written in the Yorick language and
  operated through the Yorick interpreter.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_install:
	dh_installyorick

%:
	dh  $@

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d$// \
 http://www-obs.univ-lyon1.fr/labo/perso/eric.thiebaut/mira.html \
 files/mira-(.*).tar.bz2

## yorick-mira 1.1.0+git20170124.3bd1c3~dfsg1

=== Makefile ===
.SUFFIXES: .i
.PHONY: clean default distclean test distrib install
srcdir = .

# DESTDIR can be overriden by package managers.
DESTDIR=

#------------------------------------------------------------------------------
#

MAN_PAGES = ymira.1
BIN_FILES = ymira
MIRA_FILES = mira.i mira-batch.i
IPY_FILES = linop.i rgl.i
YLIB_FILES = options.i xplot.i xplot0.i
YOIFITS_FILES = oifits.i
TEST_FILES = mira-demo.i mira-test1.i mira-test2.i
DATA_FILES = data1.oifits data2.oifits README
OTHER_FILES = AUTHOR LICENSE Makefile configure \
    README.md INSTALL.md USAGE.md NEWS.md
DOC_FILES = $(MAN_PAGES)

MIRA_SRC = $(srcdir)/src
IPY_SRC = $(srcdir)/lib/ipy
YLIB_SRC = $(srcdir)/lib/ylib
YOIFITS_SRC = $(srcdir)/lib/yoifits

default:
	@echo "There is no default target.  Try one of:"
	@echo "    make clean"
	@echo "    make distclean"
	@echo "    make distrib [VERSION=...]"
	@echo "    make install [INCDIR=...] [YORICK=...] [BINDIR=...]"
	@echo "    make test"

clean:
	rm -f core *~ $(srcdir)/src/*~

distclean: clean
	rm -f $(CONFIG)

TEST_FLAGS=-pixelsize=0.1mas -fov=20mas -regul=hyperbolic -bootstrap=1 -recenter -mu=3e3 -tau=5e-5 -ftol=0 -gtol=0 -maxeval=2000 -overwrite -normalization=1 -min=0 -verb=10
test:
	$(srcdir)/bin/ymira $(TEST_FLAGS) \
	    $(srcdir)/data/data1.oifits test1.fits
	$(srcdir)/bin/ymira $(TEST_FLAGS) -view=-1 -initial=test1.fits \
	    $(srcdir)/data/data1.oifits test2.fits

# Installation parameters are variables so that they can be overwritten when
# calling make (the installation script copies the make variables to avoid
# interpreting the make variables more than necessary).
CONFIG=install.cfg
YORICK=`test -f $(CONFIG) && sed <$(CONFIG) '/^ *YORICK *=/!d;s/^[^=]*= *//;s/ *$$//'`
BINDIR=`test -f $(CONFIG) && sed <$(CONFIG) '/^ *BINDIR *=/!d;s/^[^=]*= *//;s/ *$$//'`
INCDIR=`test -f $(CONFIG) && sed <$(CONFIG) '/^ *INCDIR *=/!d;s/^[^=]*= *//;s/ *$$//'`
MANDIR=`test -f $(CONFIG) && sed <$(CONFIG) '/^ *MANDIR *=/!d;s/^[^=]*= *//;s/ *$$//'`

$(CONFIG):
	@echo "You must run the configuration script first"
	@echo "Try \"configure --help\" for options."

install:
	@ INCDIR=$(INCDIR); \
	  BINDIR=$(BINDIR); \
	  MANDIR=$(MANDIR); \
	  YORICK=$(YORICK); \
	  if test "x$$INCDIR" = "x" -o \( "x$$BINDIR" != "x" -a "x$$YORICK" = "x" \); then \
	      echo >&2 "Run the configuration script \"configure\" first, or specify"; \
	      echo >&2 "installation parameters on the command line:"; \
	      echo >&2 ""; \
	      echo >&2 "    make install YORICK=... BINDIR=... INCDIR=... MANDIR=... DESTDIR=..."; \
	      echo >&2 ""; \
	      return 1; \
	  fi; \
	  echo "Installation settings:"; \
	  echo "  BINDIR = $$BINDIR"; \
	  echo "  MANDIR = $$MANDIR"; \
	  echo "  INCDIR = $$INCDIR"; \
	  echo "  YORICK = $$YORICK"; \
	  if test "x$$INCDIR" != "x"; then \
	      if test "x$(DESTDIR)" != "x"; then \
	          INCDIR=$(DESTDIR)/$$INCDIR; \
	      fi; \
	      mkdir -p "$$INCDIR"; \
	      for file in $(MIRA_FILES); do \
	          echo "Installing $$file in $$INCDIR"; \
	          dst=$$INCDIR/$$file; \
	          src=$(srcdir)/src/$$file; \
	          if ! test -f "$$src"; then \
	              echo >&2 "Missing file \"$$file\""; \
	              return 1; \
	          fi; \
	          cp -p "$$src" "$$dst"; \
	          chmod 644 "$$dst"; \
	      done; \
	      for file in $(IPY_FILES); do \
	          echo "Installing $$file in $$INCDIR"; \
	          dst=$$INCDIR/$$file; \
	          src=$(IPY_SRC)/$$file; \
	          if ! test -f "$$src"; then \
	              src=$(srcdir)/src/$$file; \
	              if ! test -f "$$src"; then \
	                  echo >&2 "Missing file \"$$file\""; \
	                  return 1; \
	              fi; \
	          fi; \
	          cp -p "$$src" "$$dst"; \
	          chmod 644 "$$dst"; \
	      done; \
	      for file in $(YLIB_FILES); do \
	          echo "Installing $$file in $$INCDIR"; \
	          dst=$$INCDIR/$$file; \
	          src=$(YLIB_SRC)/$$file; \
	          if ! test -f "$$src"; then \
	              src=$(srcdir)/src/$$file; \
	              if ! test -f "$$src"; then \
	                  echo >&2 "Missing file \"$$file\""; \
	                  return 1; \
	              fi; \
	          fi; \
	          cp -p "$$src" "$$dst"; \
	          chmod 644 "$$dst"; \
	      done; \
	      for file in $(YOIFITS_FILES); do \
	          echo "Installing $$file in $$INCDIR"; \
	          dst=$$INCDIR/$$file; \
	          src=$(YOIFITS_SRC)/$$file; \
	          if ! test -f "$$src"; then \
	              src=$(srcdir)/src/$$file; \
	              if ! test -f "$$src"; then \
	                  echo >&2 "Missing file \"$$file\""; \
	                  return 1; \
	              fi; \
	          fi; \
	          cp -p "$$src" "$$dst"; \
		  chmod 644 "$$dst"; \
	      done; \
	  fi; \
	  if test "x$$BINDIR" != "x"; then \
	      if test "x$(DESTDIR)" != "x"; then \
	          BINDIR=$(DESTDIR)/$$BINDIR; \
	      fi; \
	      mkdir -p "$$BINDIR"; \
	      for file in $(BIN_FILES); do \
	          echo "Installing $$file in $$BINDIR"; \
	          dst=$$BINDIR/$$file; \
	          src=$(srcdir)/bin/$$file; \
	          if ! test -f "$$src"; then \
	              echo >&2 "Missing file \"$$file\""; \
	              return 1; \
	          fi; \
	          sed <"$$src" >"$$dst" \
	            -e "s,^YORICK=.*,YORICK=$$YORICK," \
	            -e "s,^INCDIR=.*,INCDIR=$$INCDIR,"; \
	          chmod 755 "$$dst"; \
	      done; \
	      if test "x$$MANDIR" != "x"; then \
	          if test "x$(DESTDIR)" != "x"; then \
	              MANDIR=$(DESTDIR)/$$MANDIR; \
	          fi; \
	          mkdir -p "$$MANDIR/man1"; \
	          for file in $(MAN_PAGES); do \
	              echo "Installing $$file.gz in $$MANDIR/man1"; \
	              dst=$$MANDIR/man1/$$file.gz; \
	              src=$(srcdir)/doc/$$file; \
	              if ! test -f "$$src"; then \
	                  echo >&2 "Missing file \"$$file\""; \
	                  return 1; \
	              fi; \
	              gzip <"$$src" >"$$dst"; \
	              chmod 644 "$$dst"; \
	          done; \
	      fi; \
	  fi

distrib:
	@if test "x$(VERSION)" = "x"; then \
	  version=`grep '^MIRA_VERSION *= *"' "$(MIRA_SRC)/mira.i" | sed 's/^.*= *"\([^"]*\).*/\1/'`; \
	  if test "x$$version" = "x"; then \
	    echo >&2 "error: bad MIRA_VERSION in file \"mira.i\""; \
	    return 1; \
	  fi; \
	else \
	  version=$(VERSION); \
	fi; \
	pkgdir=mira-$$version; \
	archive=$$pkgdir.tar.bz2; \
	if test -e "$$pkgdir"; then \
	  echo >&2 "error: $$pkgdir already exists"; \
	  return 1; \
	fi; \
	if test -e "$$archive"; then \
	  echo >&2 "error: $$archive already exists"; \
	  return 1; \
	fi; \
	dstdir=$$pkgdir/src; \
	mkdir -p "$$dstdir"; \
	for file in $(MIRA_FILES); do \
	  if test "$$file" != "mira.i" -o "x$(VERSION)" != "x"; then \
	    cp -p "$(srcdir)/src/$$file" "$$dstdir/."; \
	  else \
	    sed <"$(srcdir)/src/$$file" >"$$dstdir/$$file" \
	      -e 's/^MIRA_VERSION *= *".*/MIRA_VERSIOn = "$(VERSION)";/'; \
	    touch -r "$(srcdir)/src/$$file" "$$dstdir/$$file"; \
	  fi; \
	done; \
	for file in $(IPY_FILES); do \
	  cp -p "$(IPY_SRC)/$$file" "$$dstdir/."; \
	done; \
	for file in $(YLIB_FILES); do \
	  cp -p "$(YLIB_SRC)/$$file" "$$dstdir/."; \
	done; \
	for file in $(YOIFITS_FILES); do \
	  cp -p "$(YOIFITS_SRC)/$$file" "$$dstdir/."; \
	done; \
	dstdir=$$pkgdir; \
	mkdir -p "$$dstdir"; \
	for file in $(OTHER_FILES); do \
	  cp -p "$(srcdir)/$$file" "$$dstdir/."; \
	done; \
	dstdir=$$pkgdir/data; \
	mkdir -p "$$dstdir"; \
	for file in $(DATA_FILES); do \
	  cp -p "$(srcdir)/data/$$file" "$$dstdir/."; \
	done; \
	dstdir=$$pkgdir/doc; \
	mkdir -p "$$dstdir"; \
	for file in $(DOC_FILES); do \
	  cp -p "$(srcdir)/doc/$$file" "$$dstdir/."; \
	done; \
	dstdir=$$pkgdir/test; \
	mkdir -p "$$dstdir"; \
	for file in $(TEST_FILES); do \
	  cp -p "$(srcdir)/test/$$file" "$$dstdir/."; \
	done; \
	dstdir=$$pkgdir/bin; \
	mkdir -p "$$dstdir"; \
	for file in $(BIN_FILES); do \
	  cp -p "$(srcdir)/bin/$$file" "$$dstdir/."; \
	done; \
	echo "$$version" > "$$pkgdir/VERSION"; \
	tar cf - "$$pkgdir" | bzip2 -9 > "$$archive"; \
	rm -rf "$$pkgdir"; \
	echo "archive $$archive created"; \
	return 0

=== lib/ipy/Makefile ===
# where are the sources? (automatically filled in by configure script)
srcdir=.

# these values filled in by "yorick -batch make.i" or configure script
Y_MAKEDIR=
Y_EXE=
Y_EXE_PKGS=
Y_EXE_HOME=
Y_EXE_SITE=
Y_HOME_PKG=

# ----------------------------------------------------- optimization flags

# options for make command line, e.g.-   make COPT=-g TGT=exe
COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ------------------------------------------------ macros for this package

PKG_NAME=ipy
PKG_I=${srcdir}/ipy.i

OBJS=ipy.o

# change to give the executable a name other than yorick
PKG_EXENAME=yorick

# PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
PKG_DEPLIBS=
# set compiler (or rarely loader) flags specific to this package
PKG_CFLAGS=
PKG_LDFLAGS=

# list of additional package names you want in PKG_EXENAME
# (typically $(Y_EXE_PKGS) should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=

# autoload file for this package, if any
PKG_I_START=${srcdir}/ipy-autoload.i
# non-pkg.i include files for this package, if any
PKG_I_EXTRA=${srcdir}/ipy-tests.i ${srcdir}/ipy-cost.i

RELEASE_FILES = AUTHORS LICENSE.md Makefile NEWS README.md TODO \
	configure linop.i admm.i cost.i ipy.i ipy.c \
	ipy-autoload.i ipy-tests.i
RELEASE_NAME = $(PKG_NAME)-$(RELEASE_VERSION).tar.bz2

# -------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake

ifeq (,$(strip $(Y_MAKEDIR)))
$(info *** WARNING: Y_MAKEDIR not defined, you may run 'yorick -batch make.i' first)
else
include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)
endif

# override macros Makepkg sets for rules and other macros
# see comments in Y_HOME/Makepkg for a list of possibilities

# if this package built with mpy: 1. be sure mpy appears in EXTRA_PKGS,
# 2. set TGT=exe, and 3. uncomment following two lines
# Y_MAIN_O=$(Y_LIBEXE)/mpymain.o
# include $(Y_MAKEDIR)/Makempy

# configure script for this package may produce make macros:
# include output-makefile-from-package-configure

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = protect-against-1.5

# ------------------------------------- targets and rules for this package

# Dummy default target in case Y_MAKEDIR was not defined:
dummy-default:
	@echo >&2 "*** ERROR: Y_MAKEDIR not defined, aborting..."; false

%.o: ${srcdir}/%.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ -c $<


# simple example:
#myfunc.o: myapi.h
# more complex example (also consider using PKG_CFLAGS above):
#myfunc.o: myapi.h myfunc.c
#	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c

start: ${srcdir}/ipy.i ${srcdir}/ipy-cost.i
	for x in $^; do \
	  y=`basename "$$x"`; \
	  sed -E "/^ *(func|extern) +[A-Za-z][_0-9A-Za-z]*/!d;s/^ *(func|extern) +([A-Za-z][_0-9A-Za-z]*).*/autoload, \"$$y\", \2;/" < "$$x"; \
	done

release: $(RELEASE_NAME)

$(RELEASE_NAME):
	@if test "x$(RELEASE_VERSION)" = "x"; then \
	  echo >&2 "set package version:  make RELEASE_VERSION=... release"; \
	else \
          dir=`basename "$(RELEASE_NAME)" .tar.bz2`; \
	  if test "x$$dir" = "x" -o "x$$dir" = "x."; then \
	    echo >&2 "bad directory name for archive"; \
	  elif test -d "$$dir"; then \
	    echo >&2 "directory $$dir already exists"; \
	  else \
	    mkdir -p "$$dir"; \
	    for src in $(RELEASE_FILES); do \
	      dst="$$dir/$$src"; \
	      if test "$$src" = "Makefile"; then \
	        sed <"$$src" >"$$dst" -e 's/^\( *Y_\(MAKEDIR\|EXE\(\|_PKGS\|_HOME\|_SITE\)\|HOME_PKG\) *=\).*/\1/'; \
	        touch -r "$$src" "$$dst"; \
	      else \
	        cp -p "$$src" "$$dst"; \
	      fi; \
	    done; \
	    rm -f "$$dir"/*~ "$$dir"/*/*~; \
	    echo "$(RELEASE_VERSION)" > "$$dir/VERSION"; \
	    tar jcf "$(RELEASE_NAME)" "$$dir"; \
	    rm -rf "$$dir"; \
	    echo "$(RELEASE_NAME) created"; \
	  fi; \
	fi;

.PHONY: clean release

# -------------------------------------------------------- end of Makefile

=== lib/ylib/Makefile ===
# where are the sources? (automatically filled in by configure script)
srcdir=.

# these values filled in by "yorick -batch make.i" or configure script
Y_MAKEDIR=
Y_EXE=
Y_EXE_PKGS=
Y_EXE_HOME=
Y_EXE_SITE=
Y_HOME_PKG=

# ------------------------------------------------ macros for this package

PKG_NAME=ylib
PKG_I=${srcdir}/fft_utils.i \
      ${srcdir}/fmin.i \
      ${srcdir}/img.i \
      ${srcdir}/linalg.i \
      ${srcdir}/mda.i \
      ${srcdir}/plot.i \
      ${srcdir}/rgb1.i \
      ${srcdir}/rgb2.i \
      ${srcdir}/rgb3.i \
      ${srcdir}/rgb.i \
      ${srcdir}/utils.i \
      ${srcdir}/xplot0.i \
      ${srcdir}/xplot.i

# autoload file for this package, if any
PKG_I_START= ${srcdir}/ylib-start.i

# non-pkg.i include files for this package, if any
PKG_I_EXTRA=

RELEASE_FILES = AUTHORS LICENSE Makefile NEWS README.md \
	configure ${PKG_I} ${PKG_I_START}
RELEASE_NAME = $(PKG_NAME)-$(RELEASE_VERSION).tar.bz2

# --------------------------------------- standard macros for all packages

# installation directories
DESTDIR=
DEST_Y_SITE=$(DESTDIR)$(Y_EXE_SITE)
DEST_Y_HOME=$(DESTDIR)$(Y_EXE_HOME)
DEST_Y_BINDIR=$(DESTDIR)$(Y_BINDIR)

# installation commands
Y_LIBEXE=$(Y_EXE_HOME)/lib
Y_GROUP=`cat $(Y_LIBEXE)/install.grp`
YNSTALL=$(Y_LIBEXE)/install.sh $(Y_GROUP)

# -------------------------------------------- standard targets and rules

default:
	@echo "nothing to do, type 'make install' to install"

install:
	@if test -n "$(PKG_I)" -o -n "$(PKG_I_EXTRA)"; then \
	  for file in $(PKG_I) $(PKG_I_EXTRA); do \
	    echo "Installing $$file in Y_HOME/i"; \
	    $(YNSTALL) "$$file" $(DEST_Y_HOME)/i; \
	  done; \
	fi; \
	if test -n "$(PKG_I_START)"; then \
	  for file in $(PKG_I_START); do \
	    echo "Installing $$file in Y_HOME/i-start"; \
	    $(YNSTALL) "$$file" $(DEST_Y_HOME)/i-start; \
	  done; \
	fi

uninstall:
	@if test -n "$(PKG_I)" -o -n "$(PKG_I_EXTRA)"; then \
	  for file in $(PKG_I) $(PKG_I_EXTRA); do \
	    base=`basename "$$file"`; \
	    full="$(DEST_Y_HOME)/i/$$base"; \
	    if test -f "$$full"; then \
	      echo "Uninstalling $$base from Y_HOME/i"; \
	      $(RM) "$$full"; \
	    fi; \
	  done; \
	fi; \
	if test -n "$(PKG_I_START)"; then \
	  for file in $(PKG_I_START); do \
	    base=`basename "$$file"`; \
	    full="$(DEST_Y_HOME)/i-start/$$base"; \
	    if test -f "$$full"; then \
	      echo "Uninstalling $$base from Y_HOME/i-start"; \
	      $(RM) "$$full"; \
	    fi; \
	  done; \
	fi

clean:
	rm -f *~ core* *.core

ylib-start-tmp.i: ${PKG_I}
	rm -f $@
	for x in ${PKG_I}; do \
	  echo -n "autoload, \"$$x\", " >> $@; \
	  grep <$$x -E '^[ 	]*func[ 	]+[^_]' \
	  | sed -e 's/^[ 	]*func[ 	][ 	]*\([_0-9A-Za-z]*\).*/\1/' >> $@; \
	done


release: $(RELEASE_NAME)

$(RELEASE_NAME):
	@if test "x$(RELEASE_VERSION)" = "x"; then \
	  echo >&2 "set package version:  make RELEASE_VERSION=... release"; \
	else \
          dir=`basename "$(RELEASE_NAME)" .tar.bz2`; \
	  if test "x$$dir" = "x" -o "x$$dir" = "x."; then \
	    echo >&2 "bad directory name for archive"; \
	  elif test -d "$$dir"; then \
	    echo >&2 "directory $$dir already exists"; \
	  else \
	    mkdir -p "$$dir"; \
	    for file in $(RELEASE_FILES); do \
	      file=`basename "$$file"`; \
	      src="$(srcdir)/$$file"; \
	      dst="$$dir/$$file"; \
	      if test "$$file" = "Makefile"; then \
	        sed <"$$src" >"$$dst" -e 's/^\( *Y_\(MAKEDIR\|EXE\(\|_PKGS\|_HOME\|_SITE\)\|HOME_PKG\) *=\).*/\1/'; \
	        touch -r "$$src" "$$dst"; \
	      else \
	        cp -p "$$src" "$$dst"; \
	      fi; \
	    done; \
	    rm -f "$$dir"/*~ "$$dir"/*/*~; \
	    echo "$(RELEASE_VERSION)" > "$$dir/VERSION"; \
	    tar jcf "$(RELEASE_NAME)" "$$dir"; \
	    rm -rf "$$dir"; \
	    echo "$(RELEASE_NAME) created"; \
	  fi; \
	fi;

.PHONY: clean release

# -------------------------------------------------------- end of Makefile

=== lib/yoifits/Makefile ===
# where are the sources? (automatically filled in by configure script)
srcdir=.

# these values filled in by "yorick -batch make.i" or configure script
Y_MAKEDIR=
Y_EXE=
Y_EXE_PKGS=
Y_EXE_HOME=
Y_EXE_SITE=
Y_HOME_PKG=

# ------------------------------------------------ macros for this package

PKG_NAME=yoifits
PKG_I=

# autoload file for this package, if any
PKG_I_START= ${srcdir}/oifits-start.i

# non-pkg.i include files for this package, if any
PKG_I_EXTRA=${srcdir}/oifits.i

RELEASE_FILES = LICENSE.md Makefile README.md configure \
                oifits-start.i oifits.i
RELEASE_NAME = $(PKG_NAME)-$(RELEASE_VERSION).tar.bz2

# --------------------------------------- standard macros for all packages

# installation directories
DESTDIR=
DEST_Y_SITE=$(DESTDIR)$(Y_EXE_SITE)
DEST_Y_HOME=$(DESTDIR)$(Y_EXE_HOME)
DEST_Y_BINDIR=$(DESTDIR)$(Y_BINDIR)

# installation commands
Y_LIBEXE=$(Y_EXE_HOME)/lib
Y_GROUP=`cat $(Y_LIBEXE)/install.grp`
YNSTALL=$(Y_LIBEXE)/install.sh $(Y_GROUP)
RM=rm -f

# --------------------------------------------- standard targets and rules

default:
	@echo "nothing to do, type 'make install' to install"

install:
	@if test -n "$(PKG_I)" -o -n "$(PKG_I_EXTRA)"; then \
	  for file in $(PKG_I) $(PKG_I_EXTRA); do \
	    echo "Installing $$file in Y_HOME/i"; \
	    $(YNSTALL) "$$file" $(DEST_Y_HOME)/i; \
	  done; \
	fi; \
	if test -n "$(PKG_I_START)"; then \
	  for file in $(PKG_I_START); do \
	    echo "Installing $$file in Y_HOME/i-start"; \
	    $(YNSTALL) "$$file" $(DEST_Y_HOME)/i-start; \
	  done; \
	fi

uninstall:
	@if test -n "$(PKG_I)" -o -n "$(PKG_I_EXTRA)"; then \
	  for file in $(PKG_I) $(PKG_I_EXTRA); do \
	    base=`basename "$$file"`; \
	    full="$(DEST_Y_HOME)/i/$$base"; \
	    if test -f "$$full"; then \
	      echo "Uninstalling $$base from Y_HOME/i"; \
	      $(RM) "$$full"; \
	    fi; \
	  done; \
	fi; \
	if test -n "$(PKG_I_START)"; then \
	  for file in $(PKG_I_START); do \
	    base=`basename "$$file"`; \
	    full="$(DEST_Y_HOME)/i-start/$$base"; \
	    if test -f "$$full"; then \
	      echo "Uninstalling $$base from Y_HOME/i-start"; \
	      $(RM) "$$full"; \
	    fi; \
	  done; \
	fi

clean:
	$(RM) *~ core* *.core

oifits-start-tmp.i: ${PKG_I}
	rm -f $@
	for x in ${PKG_I}; do \
	  echo -n "autoload, \"$$x\", " >> $@; \
	  grep <$$x -E '^[ 	]*func[ 	]+[^_]' \
	  | sed -e 's/^[ 	]*func[ 	][ 	]*\([_0-9A-Za-z]*\).*/\1/' >> $@; \
	done


release: $(RELEASE_NAME)

$(RELEASE_NAME):
	@if test "x$(RELEASE_VERSION)" = "x"; then \
	  echo >&2 "set package version:  make RELEASE_VERSION=... release"; \
	else \
	  dir=`basename "$(RELEASE_NAME)" .tar.bz2`; \
	  if test "x$$dir" = "x" -o "x$$dir" = "x."; then \
	    echo >&2 "bad directory name for archive"; \
	  elif test -d "$$dir"; then \
	    echo >&2 "directory $$dir already exists"; \
	  else \
	    mkdir -p "$$dir"; \
	    for file in $(RELEASE_FILES); do \
	      src="$(srcdir)/$$file"; \
	      dst="$$dir/$$file"; \
	      if test "$$file" = "Makefile"; then \
	        sed <"$$src" >"$$dst" -e 's/^\( *Y_\(MAKEDIR\|EXE\(\|_PKGS\|_HOME\|_SITE\)\|HOME_PKG\) *=\).*/\1/'; \
	        touch -r "$$src" "$$dst"; \
	      else \
	        cp -p "$$src" "$$dst"; \
	      fi; \
	    done; \
	    rm -f "$$dir"/*~ "$$dir"/*/*~; \
	    echo "$(RELEASE_VERSION)" > "$$dir/VERSION"; \
	    tar jcf "$(RELEASE_NAME)" "$$dir"; \
	    rm -rf "$$dir"; \
	    echo "$(RELEASE_NAME) created"; \
	  fi; \
	fi;

.PHONY: clean release

# -------------------------------------------------------- end of Makefile

=== debian/changelog ===
yorick-mira (1.1.0+git20170124.3bd1c3~dfsg1-2) unstable; urgency=low

  * Bug fix: "ymira crashes when trying to fit several wavelengths"
    (Closes: #856835).

 -- Thibaut Paumard <thibaut@debian.org>  Sun, 05 Mar 2017 11:43:23 +0100

yorick-mira (1.1.0+git20170124.3bd1c3~dfsg1-1) unstable; urgency=low

  * New upstream version 1.1.0+git20170124.3bd1c3~dfsg1

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 25 Jan 2017 12:30:39 +0100

yorick-mira (1.1.0~dfsg1-2) unstable; urgency=low

  * Rename u/usr/bin/mira to /usr/bin/ymira

 -- Thibaut Paumard <thibaut@debian.org>  Thu, 19 Jan 2017 13:03:43 +0100

yorick-mira (1.1.0~dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 18 Jan 2017 17:33:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: yorick-mira
 Section: science
 Priority: extra
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thibaut Paumard <paumard@users.sourceforge.net>
-Build-Depends: debhelper (>= 7.0.50~), yorick-dev (>=  2.1.05+dfsg-2~bpo40+1)
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
-Vcs-Git: git://git.debian.org/git/debian-science/packages/yorick-mira.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/yorick-mira.git
-Homepage: http://www-obs.univ-lyon1.fr/labo/perso/eric.thiebaut/mira.html
+Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Thibaut Paumard <thibaut@debian.org>
+Build-Depends: debhelper (>= 9), yorick-dev (>=  2.1.05+dfsg-2~bpo40+1)
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/yorick-mira.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=debian-astro/packages/yorick-mira.git
+Homepage: https://cral.univ-lyon1.fr/labo/perso/eric.thiebaut/?Software/MiRA
 
 Package: yorick-mira
 Architecture: all
-Depends: ${misc:Depends}, yorick-yeti (>= 6.3.1) , yorick-yeti-fftw (>=6.3.1), yorick-yutils, yorick-optimpack (>= 1.3), yorick (>= 2.1.05)
+Depends: ${misc:Depends}, yorick-yeti (>= 6.3.1) , yorick-yeti-fftw (>=6.3.1),
+         yorick-yutils, yorick-optimpacklegacy, yorick (>= 2.2.03),
+         yorick-ynfft
 Description: optical interferometry image reconstruction within Yorick
  MiRA is an algorithm for image reconstruction from data provided by
  optical interferometers. It is written in the Yorick language and

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_install:
	dh_installyorick --no-make-install

override_dh_auto_test:
override_dh_auto_configure:

%:
	dh  $@

=== debian/watch ===
version=3
opts="dversionmangle=s/\~dfsg\d$//,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/yorick-mira-$1\.tar\.gz/" \
  https://github.com/emmt/MiRA/tags .*/release-?(\d\S+)\.tar\.gz
